NAME

    gtwtsmap - Creates maps of the likelihood weight factors


USAGE

    gtwtsmap effbkgfile alphafile outfile epsilon


DESCRIPTION

    This tool is used to generate likelihood weights maps for maps
    of the effective background.  The likelihood weight is defined
    so that the total uncertainty will be some small fraction (epsilon)
    of the effective background.  Since the effective background
    is expected contribution to the uncertainty on a likelihood fit 
    for a point source coming from statistical uncertainty of the 
    background model, epsilon can be interpreted as the contribution 
    to the systematic uncertainty coming from mis-modeling the background 
    expressed as a fraction of the background model.


PARAMETERS

    effbkgfile [filename]
        FITS file containing the effective background maps.

    alphafile [filename]
        FITS file containing the factor needed to correctly combine
	contributions from multiple components.

    outfile [filename]
        Name of the output FITS file that will contain the likelihood
       	weights.

    epsilon [float]
       	Epsilon parameter, this is the fractional systematic uncertainty,
       	i.e., the desired systematic uncertainty, expressed as a 
       	fraction of the effective background.  Defaults to 0.03.

    (chatter) [integer]
         This parameter fixes the output verbosity: no screen output (0),
         nominal screen output (2), maximum verbosity (4). Default is "2".

    (clobber) [boolean]
         If true, an existing file of the same name will be overwritten.
         Default is "yes".

    (debug) [boolean]
         Activate debugging mode. Default is "no". When debug is "no",
         all exceptions that are not caught and handled by individual
         tool-specific code are caught by a top-level exception
         handler that displays information about the exception and
         then exits. When debug is "yes", such exceptions are not
         caught by the top level code. Instead the tool produces a
         segmentation violation, which is more useful for
         debugging. When debugging mode is enabled, the tool produces
         more verbose output describing any errors or exceptions that
         are encountered.

    (gui) [boolean]
         Graphical User Interface (GUI) mode is activated if set to
         "yes".  Default is "no".

    (mode) [string]
         Mode of automatic parameters: "h" for batch, "ql" for
         interactive.  Default is "ql".


EXAMPLES

    Parameters are passed following the FTOOLs model: They could be
    passed answering from a prompt, as a list in a command line, or by
    editing the parameter file.

    To run gtwtsmap simply type in the command line:

    > gtwtsmap

    The parameter values have to be provided. Not all parameter are
    prompted: some of them are "hidden". To change one of the "hidden"
    parameter, the user should specify the values in the command line
    or modify its mode by editing the parameter file. For example, to
    avoid overwriting the outfile, the following command line has to
    be typed:

    > gtwtsmap clobber=no

    An example of how to run the tool is given below:

    > gtwtsmap
    Input effective background map file[] bkgeff.fits
    Input alpha map file. 'none' for single component weights[] alphabkg.fits
    Output File[] wmap.fits
    Epsilon parameter, fractional syst. uncertaintiy[0.03]

    That last example could be also run in the command line as follows:

    > gtwtsmap effbkgfile=bkgeff.fits alphafile=alphabkg.fits 
    outfile=wmap.fits epsilon=0.03


SEE ALSO

    gtlike

    gtsrcmaps

    gtltcube

    gteffbkg
    
    gtalphbkg

